package packTienda;

import java.io.*;
import java.sql.*;
import java.text.*;
import java.util.*;
import javax.servlet.*;
import javax.servlet.http.*;

/**
 *
 * @author MCO
 */
public class Actualizar_Datos extends HttpServlet {

    Connection conn = null;
    String imagespath = "./img/";

    public void init(ServletConfig config) throws ServletException {

        super.init(config);
        String url = new String("jdbc:odbc:tienda");
        try {
            Class.forName("sun.jdbc.odbc.JdbcOdbcDriver");
        } catch (ClassNotFoundException ex) {
            System.out.println("Error al cargar el driver");
            System.out.println(ex.getMessage());
        }
        try {
            conn = DriverManager.getConnection(url, "", "");
        } catch (SQLException sqlEx) {
            System.out.println("Se ha producido un error al establecer la conexión con: " + url);
            System.out.println(sqlEx.getMessage());
        }
    }

    /** 
     * Processes requests for both HTTP <code>GET</code> and <code>POST</code> methods.
     * @param request servlet request
     * @param response servlet response
     */
    protected void processRequest(HttpServletRequest req, HttpServletResponse resp)
            throws ServletException, IOException {
        HttpSession session = req.getSession(false);
        Statement stmt = null;
        ResultSet rs = null;

        try {
            stmt = conn.createStatement();
            rs = stmt.executeQuery("SELECT * FROM Clientes WHERE IdCliente=" + session.getAttribute("Id"));
            boolean existe = false;
            ResultSetMetaData metadata = rs.getMetaData();
            int ncolumns = metadata.getColumnCount();
            //System.out.println(ncolumns);
            for (int i = 1; i <= ncolumns; i++) {
                String nombre_columna = metadata.getColumnName(i);
                //System.out.println(nombre_columna);
                if (nombre_columna.equals("Tipo_Tarjeta")) {
                    existe = true;
                }
            }
            rs.next();

            resp.setContentType("text/html");
            PrintWriter toClient = resp.getWriter();

            toClient.println("<html>");
            toClient.println("<title></title>");
            toClient.println("<body>");
            if (session != null) {
                toClient.println("<H2 align=\"center\">" + session.getAttribute("Nombre"));
                toClient.println("<A HREF=\"Ver_Carrito?IdCliente=" + session.getAttribute("Id") + "\"><IMG BORDER=0 SRC=\"" + imagespath + "Carrito.jpg\"></A>");
                toClient.println("<A HREF=\"Actualizar_Datos\"><IMG BORDER=0 SRC=\"" + imagespath + "Clientes.jpg\"></A>");
                toClient.println("<A HREF=\"Logout\"><IMG BORDER=0 SRC=\"" + imagespath + "Salir.jpg\"></A></H2>");
                toClient.println("<HR>");
            }
            toClient.println("<p align=\"center\"><font size=\"6\"><b>ACTUALIZAR DATOS DEL CLIENTE</b></font></p>");
            toClient.println("<FORM method=\"POST\" action=\"Ejecutar_Actualizacion\">");
            toClient.println("<p>&nbsp;</p>");
            toClient.println("<P ALIGN=\"center\"><TABLE BORDER=0>");
            toClient.println("<TR><TD><B>Nombre:</B></TD><TD><INPUT TYPE=\"text\" NAME=\"nombre\" VALUE=" + rs.getString("Nombre") + "></TD></TR>");
            toClient.println("<TR><TD><B>Primer Apellido:</B></TD><TD><INPUT TYPE=\"text\" NAME=\"apellido1\" VALUE=" + rs.getString("Apellido1") + "></TD></TR>");
            toClient.println("<TR><TD><B>Segundo Apellido:</B></TD><TD><INPUT TYPE=\"text\" NAME=\"apellido2\" VALUE=" + rs.getString("Apellido2") + "></TD></TR>");
            toClient.println("<TR><TD><B>Teléfono de Contacto:</B></TD><TD><INPUT TYPE=\"text\" NAME=\"telefono\" VALUE=" + rs.getString("Telefono") + "></TD></TR>");
            toClient.println("<TR><TD><B>E-mail:</B></TD><TD><INPUT TYPE=\"text\" NAME=\"email\" VALUE=" + rs.getString("Email") + "></TD></TR>");
            if (existe) {
                if (rs.getInt("Tipo_Tarjeta") == 1) {
                    toClient.println("<TR><TD><B>Tipo de tarjeta:</B></TD><TD><SELECT name=\"tipo_tarjeta\"><OPTION selected VALUE=1> 1. Visa<OPTION VALUE=2> 2. MasterCard</SELECT></TD></TR>");
                } else {
                    toClient.println("<TR><TD><B>Tipo de tarjeta:</B></TD><TD><SELECT name=\"tipo_tarjeta\"><OPTION VALUE=1> 1. Visa<OPTION selected VALUE=2> 2. MasterCard</SELECT></TD></TR>");
                }
                toClient.println("<TR><TD><B>Numero de Tarjeta:</B></TD><TD><INPUT type=\"text\" name=\"num_tarjeta\" SIZE=16 MAXLENGTH=16 VALUE=" + rs.getString("Num_Tarjeta") + "></TD></TR>");
            }
            toClient.println("<TR><TD><B>Nombre de Usuario:</B></TD><TD><INPUT disabled TYPE=\"text\" NAME=\"username\" VALUE=" + rs.getString("Username") + "></TD></TR>");
            String Password = rs.getString("Password");
            toClient.println("<TR><TD><B>Contraseña:</B></TD><TD><INPUT TYPE=\"password\" NAME=\"password\" VALUE=" + Password + "></TD></TR>");
            toClient.println("<TR><TD><B>Verificar Contraseña:</B></TD><TD><INPUT TYPE=\"password\" NAME=\"password2\" VALUE=" + Password + "></TD></TR>");
            toClient.println("</TABLE></P>");
            toClient.println("<P ALIGN=\"center\"><INPUT TYPE=\"submit\" value=\"Enviar\">");
            toClient.println("<INPUT TYPE=\"reset\" value=\"Borrar\"></P>");
            toClient.println("</FORM>");
            toClient.println("</body>");
            toClient.println("</html>");
            toClient.close();
        } catch (SQLException sql) {
            System.out.println("Se produjo un error al crear el Statement");
            System.out.println(sql.getMessage());
            return;
        }


    }

    // <editor-fold defaultstate="collapsed" desc="HttpServlet methods. Click on the + sign on the left to edit the code.">
    /** 
     * Handles the HTTP <code>GET</code> method.
     * @param request servlet request
     * @param response servlet response
     */
    protected void doGet(HttpServletRequest request, HttpServletResponse response)
            throws ServletException, IOException {
        processRequest(request, response);
    }

    /** 
     * Handles the HTTP <code>POST</code> method.
     * @param request servlet request
     * @param response servlet response
     */
    protected void doPost(HttpServletRequest request, HttpServletResponse response)
            throws ServletException, IOException {
        processRequest(request, response);
    }

    /** 
     * Returns a short description of the servlet.
     */
    public String getServletInfo() {
        return "Short description";
    }
    // </editor-fold>
}

