
package packTienda;

import java.io.*;
import java.sql.*;
import java.text.*;
import java.util.*;
import javax.servlet.*;
import javax.servlet.http.*;

/**
 *
 * @author Administrador
 */
public class Add_Disco extends HttpServlet {

    Connection conn = null;
    String imagespath = "./img/";

    public void init(ServletConfig config) throws ServletException {

        super.init(config);
        String url = new String("jdbc:odbc:tienda");
        try {
            Class.forName("sun.jdbc.odbc.JdbcOdbcDriver");
        } catch (ClassNotFoundException ex) {
            System.out.println("Error al cargar el driver");
            System.out.println(ex.getMessage());
        }
        try {
            conn = DriverManager.getConnection(url, "", "");
        } catch (SQLException sqlEx) {
            System.out.println("Se ha producido un error al establecer la conexión con: " + url);
            System.out.println(sqlEx.getMessage());
        }
    }

    public void destroy() {
        super.destroy();
        System.out.println("Cerrando conexion...");
        try {
            conn.close();
        } catch (SQLException ex) {
            System.out.println("No se pudo cerrar la conexion");
            System.out.println(ex.getMessage());
        }
    }

    /** 
     * Processes requests for both HTTP <code>GET</code> and <code>POST</code> methods.
     * @param request servlet request
     * @param response servlet response
     */
    protected void processRequest(HttpServletRequest req, HttpServletResponse resp)
            throws ServletException, IOException {
        Statement stmt = null;

        try {
            stmt = conn.createStatement();
            stmt.executeUpdate("INSERT INTO Discos (Interprete,Titulo,Anno,Precio,Caratula) VALUES ('" + req.getParameter("interprete") + "','" + req.getParameter("titulo") + "','" + req.getParameter("anno") + ",'" + req.getParameter("precio") + ",'" + req.getParameter("archivo") + "')");
            DevolverHTML(req, resp);
            return;
        } catch (SQLException sql) {
            System.out.println("Se produjo un error al crear el Statement");
            System.out.println(sql.getMessage());
            System.out.println(sql);
            return;
        } finally {
            if (stmt != null) {
                try {
                    stmt.close();
                } catch (SQLException e) {
                    System.out.println("Error al cerrar el Statement");
                    System.out.println(e.getMessage());
                    return;
                }
            }
        }
    }

    private void DevolverHTML(HttpServletRequest req, HttpServletResponse resp) throws SQLException {

        HttpSession session = req.getSession(false);

        resp.setContentType("text/html");
        PrintWriter out = null;
        try {
            out = resp.getWriter();
        } catch (IOException io) {
            System.out.println("Se ha producido una excepcion");
        }
        out.println("<html>");
        out.println("<head>");
        out.println("<title>Tienda de Discos</title>");
        out.println("</head>");
        out.println("<body>");
        out.println("<H2 align=\"center\">" + session.getAttribute("Nombre"));
        out.println("<A HREF=\"Registro_Disco\"><IMG BORDER=0 SRC=\"" + imagespath + "Add_Disco.jpg\"></A>");
        out.println("<A HREF=\"Ver_Clientes\"><IMG BORDER=0 SRC=\"" + imagespath + "Clientes.jpg\"></A>");
        out.println("<A HREF=\"Logout\"><IMG BORDER=0 SRC=\"" + imagespath + "Salir.jpg\"></A></H2>");
        out.println("<HR>");
        out.println("<H2 ALIGN=\"center\">El disco ha sido registrado.</H2></P>");
        out.println("</body>");
        out.println("</html>");
        out.flush();
        out.close();
    }

    // <editor-fold defaultstate="collapsed" desc="HttpServlet methods. Click on the + sign on the left to edit the code.">
    /** 
     * Handles the HTTP <code>GET</code> method.
     * @param request servlet request
     * @param response servlet response
     */
    protected void doGet(HttpServletRequest request, HttpServletResponse response)
            throws ServletException, IOException {
        processRequest(request, response);
    }

    /** 
     * Handles the HTTP <code>POST</code> method.
     * @param request servlet request
     * @param response servlet response
     */
    protected void doPost(HttpServletRequest request, HttpServletResponse response)
            throws ServletException, IOException {
        processRequest(request, response);
    }

    /** 
     * Returns a short description of the servlet.
     */
    public String getServletInfo() {
        return "Short description";
    }
    // </editor-fold>
}

