package packTienda;

import java.io.*;
import java.sql.*;
import java.text.*;
import java.util.*;
import javax.servlet.*;
import javax.servlet.http.*;

/**
 *
 * @author MCO
 */
public class Ejecutar_Actualizacion extends HttpServlet {

    Connection conn = null;
    String imagespath = "./img/";

    public void init(ServletConfig config) throws ServletException {

        super.init(config);
        String url = new String("jdbc:odbc:tienda");
        try {
            Class.forName("sun.jdbc.odbc.JdbcOdbcDriver");
        } catch (ClassNotFoundException ex) {
            System.out.println("Error al cargar el driver");
            System.out.println(ex.getMessage());
        }
        try {
            conn = DriverManager.getConnection(url, "", "");
        } catch (SQLException sqlEx) {
            System.out.println("Se ha producido un error al establecer la conexión con: " + url);
            System.out.println(sqlEx.getMessage());
        }
    }

    public void destroy() {
        super.destroy();
        System.out.println("Cerrando conexion...");
        try {
            conn.close();
        } catch (SQLException ex) {
            System.out.println("No se pudo cerrar la conexion");
            System.out.println(ex.getMessage());
        }
    }

    /** 
     * Processes requests for both HTTP <code>GET</code> and <code>POST</code> methods.
     * @param request servlet request
     * @param response servlet response
     */
    protected void processRequest(HttpServletRequest req, HttpServletResponse resp)
            throws ServletException, IOException {
        Statement stmt = null;
        HttpSession session = req.getSession(false);

        try {
            String sql = "UPDATE Clientes SET Nombre='" + req.getParameter("nombre") + "',Apellido1='" + req.getParameter("apellido1") + "',Apellido2='" + req.getParameter("apellido2") + "',Telefono='" + req.getParameter("telefono") + "',Email='" + req.getParameter("email") + "',Tipo_Tarjeta=" + req.getParameter("tipo_tarjeta") + ", Num_Tarjeta='" + req.getParameter("num_tarjeta") + "',Password='" + req.getParameter("password") + "'";
            sql += " WHERE IdCliente=" + session.getAttribute("Id");
            stmt = conn.createStatement();
            stmt.executeUpdate(sql);

            resp.setContentType("text/html");
            PrintWriter out = null;
            try {
                out = resp.getWriter();
            } catch (IOException io) {
                System.out.println("Se ha producido una excepcion");
            }
            out.println("<html>");
            out.println("<head>");
            out.println("<title>Tienda de Discos</title>");
            out.println("</head>");
            out.println("<body>");
            if (session != null) {
                out.println("<H2 align=\"center\">" + session.getAttribute("Nombre"));
                out.println("<A HREF=\"Ver_Carrito?IdCliente=" + session.getAttribute("Id") + "\"><IMG BORDER=0 SRC=\"" + imagespath + "Carrito.jpg\"></A>");
                out.println("<A HREF=\"Actualizar_Datos\"><IMG BORDER=0 SRC=\"" + imagespath + "Clientes.jpg\"></A>");
                out.println("<A HREF=\"Logout\"><IMG BORDER=0 SRC=\"" + imagespath + "Salir.jpg\"></A></H2>");
                out.println("<HR>");
            }
            out.println("<H2 ALIGN=\"center\">Los datos del usuario han sido actualizados.</H2></P>");
            out.println("</body>");
            out.println("</html>");
            out.flush();
            out.close();
        } catch (SQLException sql) {
            System.out.println("Se produjo un error al crear el Statement");
            System.out.println(sql.getMessage());
            System.out.println(sql);
        }
    }

    // <editor-fold defaultstate="collapsed" desc="HttpServlet methods. Click on the + sign on the left to edit the code.">
    /** 
     * Handles the HTTP <code>GET</code> method.
     * @param request servlet request
     * @param response servlet response
     */
    protected void doGet(HttpServletRequest request, HttpServletResponse response)
            throws ServletException, IOException {
        processRequest(request, response);
    }

    /** 
     * Handles the HTTP <code>POST</code> method.
     * @param request servlet request
     * @param response servlet response
     */
    protected void doPost(HttpServletRequest request, HttpServletResponse response)
            throws ServletException, IOException {
        processRequest(request, response);
    }

    /** 
     * Returns a short description of the servlet.
     */
    public String getServletInfo() {
        return "Short description";
    }
    // </editor-fold>
}
