package packTienda;

import java.io.*;
import java.sql.*;
import java.text.*;
import java.util.*;
import javax.servlet.*;
import javax.servlet.http.*;

/**
 *
 * @author MCO
 */
public class Datos_Cliente extends HttpServlet {

    Connection connection;
    String imagespath = "./img/";

    public void init(ServletConfig config) throws ServletException {

        super.init(config);
        try {
            Class.forName("sun.jdbc.odbc.JdbcOdbcDriver");
            String url = "jdbc:odbc:tienda";
            connection = DriverManager.getConnection(url);
        } catch (Exception e) {
            e.printStackTrace();
        }
    }

    /** 
     * Processes requests for both HTTP <code>GET</code> and <code>POST</code> methods.
     * @param request servlet request
     * @param response servlet response
     */
    protected void processRequest(HttpServletRequest req, HttpServletResponse resp)
            throws ServletException, IOException {
        HttpSession session = req.getSession(false);
        String sql = null;

        resp.setContentType("text/html");
        PrintWriter toClient = resp.getWriter();

        sql = "SELECT * FROM Clientes WHERE IdCliente = " + req.getParameter("id");

        toClient.println("<html>");
        toClient.println("<title></title>");
        toClient.println("<body>");
        if (session != null) {
            String Usuario = (String) session.getAttribute("Username");
            if (Usuario.equals("administrador") == true) {
                toClient.println("<H2 align=\"center\">" + session.getAttribute("Nombre"));
                toClient.println("<A HREF=\"Registro_Disco\"><IMG BORDER=0 SRC=\"" + imagespath + "Add_Disco.jpg\"></A>");
                toClient.println("<A HREF=\"Ver_Clientes\"><IMG BORDER=0 SRC=\"" + imagespath + "Clientes.jpg\"></A>");
                toClient.println("<A HREF=\"Logout\"><IMG BORDER=0 SRC=\"" + imagespath + "Salir.jpg\"></A></H2>");
                toClient.println("<HR>");
            }
        }
        try {
            Statement statement = connection.createStatement();
            ResultSet result = statement.executeQuery(sql);
            while (result.next()) {
                toClient.println("<p align=\"center\"><font size=\"6\"><b>DATOS CONFIDENCIALES DE</b></font></p>");
                toClient.println("<p align=\"center\"><font size=\"5\"><b>" + result.getString("Nombre") + " " + result.getString("Apellido1") + " " + result.getString("Apellido2") + "</b></font></p>");
                toClient.println("<p align=\"center\">");
                toClient.println("<TABLE BORDER=1>");
                toClient.println("<TR><TD><B>Tipo de Tarjeta:</B></TD>");
                if (result.getInt("Tipo_Tarjeta") == 1) {
                    toClient.println("<td>VISA</TD></TR>");
                } else {
                    toClient.println("<td>MasterCard</TD></TR>");
                }
                toClient.println("<TR><TD><B>Número de Tarjeta:</B></TD>");
                toClient.println("</td><td>" + result.getString("Num_Tarjeta"));
                toClient.println("</td><TR><TD><B>Nombre de Usuario:</B></TD>");
                toClient.println("<td>" + result.getString("Username"));
                toClient.println("</td><TR><TD><B>Contraseña:</B></TD>");
                toClient.println("<td>" + result.getString("Password"));
                toClient.println("</td></tr>");
            }
        } catch (SQLException e) {
            e.printStackTrace();
            System.out.println("Resulset: " + sql + " Excepcion: " + e);
        }
        toClient.println("</TABLE></P>");
        toClient.println("</body>");
        toClient.println("</html>");
        toClient.close();
    }

    // <editor-fold defaultstate="collapsed" desc="HttpServlet methods. Click on the + sign on the left to edit the code.">
    /** 
     * Handles the HTTP <code>GET</code> method.
     * @param request servlet request
     * @param response servlet response
     */
    protected void doGet(HttpServletRequest request, HttpServletResponse response)
            throws ServletException, IOException {
        processRequest(request, response);
    }

    /** 
     * Handles the HTTP <code>POST</code> method.
     * @param request servlet request
     * @param response servlet response
     */
    protected void doPost(HttpServletRequest request, HttpServletResponse response)
            throws ServletException, IOException {
        processRequest(request, response);
    }

    /** 
     * Returns a short description of the servlet.
     */
    public String getServletInfo() {
        return "Short description";
    }
    // </editor-fold>
}

