package packTienda;

import java.io.*;
import java.sql.*;
import java.text.*;
import java.util.*;
import javax.servlet.*;
import javax.servlet.http.*;

/**
 *
 * @author Administrador
 */
public class Eliminar extends HttpServlet {

    Connection connection;
    String imagespath = "./img/";

    public void init(ServletConfig config) throws ServletException {

        super.init(config);
        try {
            Class.forName("sun.jdbc.odbc.JdbcOdbcDriver");
            String url = "jdbc:odbc:tienda";
            connection = DriverManager.getConnection(url);
        } catch (Exception e) {
            e.printStackTrace();
        }
    }

    /** 
     * Processes requests for both HTTP <code>GET</code> and <code>POST</code> methods.
     * @param request servlet request
     * @param response servlet response
     */
    protected void processRequest(HttpServletRequest req, HttpServletResponse resp)
            throws ServletException, IOException {
        
        HttpSession session = req.getSession(false);
        String sql = "DELETE FROM Carrito WHERE IdCliente=" + session.getAttribute("Id") + " AND IdDisco=" + req.getParameter("IdDisco");
        try {
            Statement statement = connection.createStatement();
            statement.executeUpdate(sql);
            resp.setContentType("text/html");
            PrintWriter toClient = resp.getWriter();
            toClient.println("<html>");
            toClient.println("<title>Carrito de la compra</title>");
            toClient.println("<body>");
            if (session != null) {
                toClient.println("<H2 align=\"center\">" + session.getAttribute("Nombre"));
                toClient.println("<A HREF=\"Ver_Carrito?IdCliente=" + session.getAttribute("Id") + "\"><IMG BORDER=0 SRC=\"" + imagespath + "Carrito.jpg\"></A>");
                toClient.println("<A HREF=\"Actualizar_Datos\"><IMG BORDER=0 SRC=\"" + imagespath + "Clientes.jpg\"></A>");
                toClient.println("<A HREF=\"Logout\"><IMG BORDER=0 SRC=\"" + imagespath + "Salir.jpg\"></A></H2>");
                toClient.println("<HR>");
            }
            toClient.println("<H2 align=\"center\">El Disco ha sido eliminado del carrito</H2>");
        } catch (SQLException e) {
            e.printStackTrace();
            System.out.println("Resulset: " + sql + " Excepcion: " + e);
        }
    }

    // <editor-fold defaultstate="collapsed" desc="HttpServlet methods. Click on the + sign on the left to edit the code.">
    /** 
     * Handles the HTTP <code>GET</code> method.
     * @param request servlet request
     * @param response servlet response
     */
    protected void doGet(HttpServletRequest request, HttpServletResponse response)
            throws ServletException, IOException {
        processRequest(request, response);
    }

    /** 
     * Handles the HTTP <code>POST</code> method.
     * @param request servlet request
     * @param response servlet response
     */
    protected void doPost(HttpServletRequest request, HttpServletResponse response)
            throws ServletException, IOException {
        processRequest(request, response);
    }

    /** 
     * Returns a short description of the servlet.
     */
    public String getServletInfo() {
        return "Short description";
    }
    // </editor-fold>
}

