package packTienda;

import java.io.*;
import java.sql.*;
import java.text.*;
import java.util.*;
import javax.servlet.*;
import javax.servlet.http.*;

/**
 *
 * @author MCO
 */
public class Ver_Carrito extends HttpServlet {

    Connection connection;
    String imagespath = "./img/";

    public void init(ServletConfig config) throws ServletException {

        super.init(config);
        try {
            Class.forName("sun.jdbc.odbc.JdbcOdbcDriver");
            String url = "jdbc:odbc:tienda";
            connection = DriverManager.getConnection(url);
        } catch (Exception e) {
            e.printStackTrace();
        }
    }

    /** 
     * Processes requests for both HTTP <code>GET</code> and <code>POST</code> methods.
     * @param request servlet request
     * @param response servlet response
     */
    protected void processRequest(HttpServletRequest req, HttpServletResponse resp)
            throws ServletException, IOException {
        HttpSession session = req.getSession(false);
        DecimalFormat myFormatter = new DecimalFormat("###.00");
        String output;
        float Precio, Importe, Importe_Total;
        int IdDisco, Cantidad;

        Importe_Total = 0;

        resp.setContentType("text/html");
        PrintWriter toClient = resp.getWriter();
        String sql = "SELECT Carrito.IdCliente, Discos.IdDisco, Discos.Interprete, Discos.Titulo, Discos.Anno, Discos.Precio, Carrito.Cantidad " + "FROM Discos INNER JOIN Carrito ON Discos.IdDisco = Carrito.IdDisco ";
        String filtro = (String) session.getAttribute("Id");
        if (filtro != null) {
            sql += " WHERE ((Carrito.IdCliente)=" + filtro + ")";
        }
        toClient.println("<html>");
        toClient.println("<title>Carrito de la compra</title>");
        toClient.println("<body>");
        if (session != null) {
            toClient.println("<H2 align=\"center\">" + session.getAttribute("Nombre"));
            toClient.println("<A HREF=\"Ver_Carrito?IdCliente=" + session.getAttribute("Id") + "\"><IMG BORDER=0 SRC=\"" + imagespath + "Carrito.jpg\"></A>");
            toClient.println("<A HREF=\"Actualizar_Datos\"><IMG BORDER=0 SRC=\"" + imagespath + "Clientes.jpg\"></A>");
            toClient.println("<A HREF=\"Logout\"><IMG BORDER=0 SRC=\"" + imagespath + "Salir.jpg\"></A></H2>");
            toClient.println("<HR>");
        }
        toClient.println("<FORM ACTION = \"Actualizar\" METHOD=\"GET\">");
        toClient.println("<p align=\"center\"><font size=\"6\"><b>RELACIÓN DE DISCOS</b></font></p>");
        toClient.println("<p align=\"center\">");
        toClient.println("<TABLE BORDER=1>");
        toClient.println("<TR><TD><B>Intérprete</B></TD><TD><B>Título</B></TD><TD><B>Año</B></TD><TD><B>Precio</B></TD><TD><B>Cantidad</B></TD><TD><B>Importe</B></TD></TR>");
        try {
            Statement statement = connection.createStatement();
            ResultSet result = statement.executeQuery(sql);
            while (result.next()) {
                String Interprete = result.getString("Interprete");
                toClient.println("<tr><td><A HREF=\"Ver_Catalogo?opcion=busqueda&campo=interprete&cadena=" + Interprete + "\">" + Interprete);
                toClient.println("</td><td>" + result.getString("Titulo"));
                toClient.println("</td><td>" + result.getString("Anno"));
                Precio = result.getFloat("Precio");
                output = myFormatter.format(Precio);
                toClient.println("</td><td>" + output + " &#8364;");
                IdDisco = result.getInt("IdDisco");
                Cantidad = result.getInt("Cantidad");
                toClient.println("</td><td><INPUT NAME=\"" + IdDisco + "\" SIZE=3 VALUE=" + Cantidad);
                Importe = Cantidad * Precio;
                output = myFormatter.format(Importe);
                Importe_Total += Importe;
                toClient.println("</td><td>" + output + " &#8364;");
                toClient.println("</TD><TD><A HREF=\"Eliminar?IdDisco=" + IdDisco + "\"><IMG BORDER=0 SRC=\"" + imagespath + "Eliminar.jpg\"></A>");
                toClient.println("</td></tr>");
            }
        } catch (SQLException e) {
            e.printStackTrace();
            System.out.println("Resulset: " + sql + " Excepcion: " + e);
        }
        output = myFormatter.format(Importe_Total);
        toClient.println("<TR><TD COLSPAN=5 ALIGN=\"right\"><B>TOTAL:</B></TD><TD><B>" + output + " &#8364;</B></TD>");
        toClient.println("</TABLE><P>");
        toClient.println("<P ALIGN=\"center\"><TABLE><TR><TD>Si ha cambiado alguna cantidad, por favor pulse </TD>");
        toClient.println("<TD><INPUT Type=\"submit\" Value=\"Actualizar\"></TD></TR></TABLE></P>");
        toClient.println("</FORM>");

        toClient.println("</body>");
        toClient.println("</html>");
        toClient.close();
    }

    // <editor-fold defaultstate="collapsed" desc="HttpServlet methods. Click on the + sign on the left to edit the code.">
    /** 
     * Handles the HTTP <code>GET</code> method.
     * @param request servlet request
     * @param response servlet response
     */
    protected void doGet(HttpServletRequest request, HttpServletResponse response)
            throws ServletException, IOException {
        processRequest(request, response);
    }

    /** 
     * Handles the HTTP <code>POST</code> method.
     * @param request servlet request
     * @param response servlet response
     */
    protected void doPost(HttpServletRequest request, HttpServletResponse response)
            throws ServletException, IOException {
        processRequest(request, response);
    }

    /** 
     * Returns a short description of the servlet.
     */
    public String getServletInfo() {
        return "Short description";
    }
    // </editor-fold>
}

