package packTienda;

import java.io.*;
import java.sql.*;
import java.text.*;
import java.util.*;
import javax.servlet.*;
import javax.servlet.http.*;

/**
 *
 * @author MCO
 */
public class Ver_Catalogo extends HttpServlet {

    Connection connection;
    String imagespath = "./img/";

    public void init(ServletConfig config) throws ServletException {

        super.init(config);
        try {
            Class.forName("sun.jdbc.odbc.JdbcOdbcDriver");
            String url = "jdbc:odbc:tienda";
            connection = DriverManager.getConnection(url);
        } catch (Exception e) {
            e.printStackTrace();
        }
    }

    /** 
     * Processes requests for both HTTP <code>GET</code> and <code>POST</code> methods.
     * @param request servlet request
     * @param response servlet response
     */
    protected void processRequest(HttpServletRequest req, HttpServletResponse resp)
            throws ServletException, IOException {
        HttpSession session = req.getSession(false);
        String Usuario = null;
        String Opcion = null;
        String sql = null;
        int IdDisco;

        resp.setContentType("text/html");
        PrintWriter toClient = resp.getWriter();
        Opcion = req.getParameter("opcion");

        sql = "SELECT * FROM Discos";
        if (Opcion.equals("busqueda")) {
            String filtro = req.getParameter("cadena");
            String campo = req.getParameter("campo");
            if (filtro != null) {
                if (campo.equals("interprete")) {
                    sql += " WHERE Interprete LIKE '%" + filtro + "%'";
                } else if (campo.equals("titulo")) {
                    sql += " WHERE Titulo LIKE '%" + filtro + "%'";
                }
            }
        }
        toClient.println("<html>");
        toClient.println("<title></title>");
        toClient.println("<body>");
        if (session != null) {
            Usuario = (String) session.getAttribute("Username");
            if (Usuario.equals("administrador") == true) {
                toClient.println("<H2 align=\"center\">" + session.getAttribute("Nombre"));
                toClient.println("<A HREF=\"Registro_Disco\"><IMG BORDER=0 SRC=\"" + imagespath + "Add_Disco.jpg\"></A>");
                toClient.println("<A HREF=\"Ver_Clientes\"><IMG BORDER=0 SRC=\"" + imagespath + "Clientes.jpg\"></A>");
                toClient.println("<A HREF=\"Logout\"><IMG BORDER=0 SRC=\"" + imagespath + "Salir.jpg\"></A></H2>");
                toClient.println("<HR>");
            } else {
                toClient.println("<H2 align=\"center\">" + session.getAttribute("Nombre"));
                toClient.println("<A HREF=\"Ver_Carrito?IdCliente=" + session.getAttribute("Id") + "\"><IMG BORDER=0 SRC=\"" + imagespath + "Carrito.jpg\"></A>");
                toClient.println("<A HREF=\"Actualizar_Datos\"><IMG BORDER=0 SRC=\"" + imagespath + "Clientes.jpg\"></A>");
                toClient.println("<A HREF=\"Logout\"><IMG BORDER=0 SRC=\"" + imagespath + "Salir.jpg\"></A></H2>");
                toClient.println("<HR>");
            }
        }
        toClient.println("<p align=\"center\"><font size=\"6\"><b>RELACIÓN DE DISCOS</b></font></p>");
        toClient.println("<p align=\"center\">");
        toClient.println("<TABLE BORDER=1>");
        toClient.println("<TR><TD><B>Interprete</B></TD><TD><B>Titulo</B></TD><TD><B>Año</B></TD></TR>");
        try {
            Statement statement = connection.createStatement();
            ResultSet result = statement.executeQuery(sql);
            while (result.next()) {
                toClient.println("<tr><td>" + result.getString("Interprete"));
                IdDisco = result.getInt("IdDisco");
                toClient.println("</TD><TD><A HREF=\"Datos_Disco?id=" + IdDisco + "\">" + result.getString("Titulo") + "</A>");
                toClient.println("</td><td>" + result.getString("Anno"));
                if (session != null) {
                    if (Usuario.equals("administrador") == false) {
                        toClient.println("</TD><TD><A HREF=\"Add_Carrito?IdDisco=" + IdDisco + "\">Añadir al carrito</A>");
                    } else {
                        toClient.println("</TD><TD><A HREF=\"Baja_Disco?IdDisco=" + IdDisco + "\">Eliminar</A>");
                    }
                }
                toClient.println("</td></tr>");
            }
        } catch (SQLException e) {
            e.printStackTrace();
            System.out.println("Resulset: " + sql + " Excepcion: " + e);
        }
        toClient.println("</TABLE></P>");
        toClient.println("</body>");
        toClient.println("</html>");
        toClient.close();
    }

    // <editor-fold defaultstate="collapsed" desc="HttpServlet methods. Click on the + sign on the left to edit the code.">
    /** 
     * Handles the HTTP <code>GET</code> method.
     * @param request servlet request
     * @param response servlet response
     */
    protected void doGet(HttpServletRequest request, HttpServletResponse response)
            throws ServletException, IOException {
        processRequest(request, response);
    }

    /** 
     * Handles the HTTP <code>POST</code> method.
     * @param request servlet request
     * @param response servlet response
     */
    protected void doPost(HttpServletRequest request, HttpServletResponse response)
            throws ServletException, IOException {
        processRequest(request, response);
    }

    /** 
     * Returns a short description of the servlet.
     */
    public String getServletInfo() {
        return "Short description";
    }
    // </editor-fold>
}

